## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.AnimatorCameraModelViewer

Special scene node animator for model viewer cameras.
Extends CL3D.Animator.

Class Overview
CL3D.AnimatorCameraModelViewer(cam, engine)
Special scene node animator making cameras user controlled model viewrs around a pivot point on a fixed radius. This scene node animator can be attached to a CL3D.CameraSceneNode to make it act like a user controlled model viewer. Simply set the target of the camera to the pivot point and attach this animator to make it work.

Parameters:
{CL3D.CameraSceneNode} cam
  an instance of a CL3D.CameraSceneNode this animator will be attached to. Can be null if the camera is not yet known.
{CL3D.CopperLicht} engine
  An instance of the CL3D.CopperLicht 3d engine, for receiving the mouse and keyboard input.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| NoVerticalMovement Defines if the animator may only move the camera horizontally
| Radius Radius of the camera
| RotateSpeed Rotation speed of the camera

Method Summary
Method Attributes | Method Name and Description
--- | ---
| animateNode(n, timeMs) Animates the scene node it is attached to and returns true if scene node was modified.
| getType() Returns the type of the animator.

Methods borrowed from class CL3D.Animator:
  createClone, onKeyDown, onKeyUp, onMouseDown, onMouseMove, onMouseUp, onMouseWheel

Field Detail
{Boolean} NoVerticalMovement
Defines if the animator may only move the camera horizontally

Default Value:
  false

{Number} Radius
Radius of the camera

Default Value:
  100

{Number} RotateSpeed
Rotation speed of the camera

Default Value:
  0.06

Method Detail
animateNode(n, timeMs)
Animates the scene node it is attached to and returns true if scene node was modified.

Parameters:
{CL3D.SceneNode} n
  The Scene node which needs to be animated this frame.
{Integer} timeMs
  The time in milliseconds since the start of the scene.

getType()
Returns the type of the animator. For the AnimatorCameraModelViewer, this will return 'cameramodelviewer'.

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit